summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'x11-plugins')
-rw-r--r--x11-plugins/allin1/allin1-0.5.0-r3.ebuild4
-rw-r--r--x11-plugins/guifications/guifications-2.16-r1.ebuild35
-rw-r--r--x11-plugins/guifications/metadata.xml5
-rw-r--r--x11-plugins/pidgin-birthday-reminder/Manifest1
-rw-r--r--x11-plugins/pidgin-birthday-reminder/metadata.xml7
-rw-r--r--x11-plugins/pidgin-birthday-reminder/pidgin-birthday-reminder-1.13.ebuild33
-rw-r--r--x11-plugins/pidgin-hotkeys/metadata.xml5
-rw-r--r--x11-plugins/pidgin-hotkeys/pidgin-hotkeys-0.2.4-r1.ebuild23
-rw-r--r--x11-plugins/pidgin-led-notification/metadata.xml5
-rw-r--r--x11-plugins/pidgin-led-notification/pidgin-led-notification-0.1-r1.ebuild43
-rw-r--r--x11-plugins/pidgin-libnotify/metadata.xml5
-rw-r--r--x11-plugins/pidgin-libnotify/pidgin-libnotify-0.14-r2.ebuild42
-rw-r--r--x11-plugins/pidgin-mbpurple/metadata.xml5
-rw-r--r--x11-plugins/pidgin-mbpurple/pidgin-mbpurple-0.3.0-r3.ebuild42
-rw-r--r--x11-plugins/pidgin-otr/pidgin-otr-4.0.2-r3.ebuild4
-rw-r--r--x11-plugins/pidgin-privacy-please/metadata.xml5
-rw-r--r--x11-plugins/pidgin-privacy-please/pidgin-privacy-please-0.7.1-r1.ebuild31
-rw-r--r--x11-plugins/wmSun/Manifest1
-rw-r--r--x11-plugins/wmSun/wmSun-1.06.ebuild33
-rw-r--r--x11-plugins/wmbinclock/Manifest1
-rw-r--r--x11-plugins/wmbinclock/wmbinclock-0.51.ebuild34
-rw-r--r--x11-plugins/wmcalc/wmcalc-0.7.ebuild4
-rw-r--r--x11-plugins/wmcpuwatch/wmcpuwatch-0.2-r1.ebuild4
-rw-r--r--x11-plugins/wmifinfo/Manifest1
-rw-r--r--x11-plugins/wmifinfo/wmifinfo-0.11.ebuild29
-rw-r--r--x11-plugins/wmifs/Manifest1
-rw-r--r--x11-plugins/wmifs/wmifs-1.9.ebuild19
27 files changed, 406 insertions, 16 deletions
diff --git a/x11-plugins/allin1/allin1-0.5.0-r3.ebuild b/x11-plugins/allin1/allin1-0.5.0-r3.ebuild
index 3d5fb558e2e9..80f291bf4e95 100644
--- a/x11-plugins/allin1/allin1-0.5.0-r3.ebuild
+++ b/x11-plugins/allin1/allin1-0.5.0-r3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -19,7 +19,7 @@ RDEPEND="
x11-libs/libXpm"
DEPEND="${RDEPEND}
x11-base/xorg-proto"
-BDEPEND="sys-devel/flex"
+BDEPEND="app-alternatives/lex"
PATCHES=( "${FILESDIR}"/${P}-makefile.patch )
diff --git a/x11-plugins/guifications/guifications-2.16-r1.ebuild b/x11-plugins/guifications/guifications-2.16-r1.ebuild
new file mode 100644
index 000000000000..e54eb1cf8f87
--- /dev/null
+++ b/x11-plugins/guifications/guifications-2.16-r1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_PN="pidgin-${PN}"
+MY_PV="${PV/_beta/beta}"
+MY_P="${MY_PN}-${MY_PV}"
+
+DESCRIPTION="Guifications is a graphical notification plugin for pidgin"
+HOMEPAGE="https://wiki.gentoo.org/wiki/No_homepage"
+SRC_URI="http://downloads.guifications.org/plugins//Guifications2/${MY_P}.tar.bz2"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+IUSE="debug nls"
+
+RDEPEND="net-im/pidgin[gtk]
+ x11-libs/gtk+:2"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+src_configure() {
+ econf \
+ $(use_enable debug ) \
+ $(use_enable nls)
+}
+
+src_install() {
+ default
+
+ find "${D}" -type f -name '*.la' -delete || die "la removal failed"
+}
diff --git a/x11-plugins/guifications/metadata.xml b/x11-plugins/guifications/metadata.xml
index 85e4ed814fa2..e8de1c56b30f 100644
--- a/x11-plugins/guifications/metadata.xml
+++ b/x11-plugins/guifications/metadata.xml
@@ -1,5 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
-<!-- maintainer-needed -->
+ <maintainer type="person">
+ <email>nativemad@gentoo.org</email>
+ <name>Andreas Schuerch</name>
+ </maintainer>
</pkgmetadata>
diff --git a/x11-plugins/pidgin-birthday-reminder/Manifest b/x11-plugins/pidgin-birthday-reminder/Manifest
index 639b877d7be2..3659c47abb78 100644
--- a/x11-plugins/pidgin-birthday-reminder/Manifest
+++ b/x11-plugins/pidgin-birthday-reminder/Manifest
@@ -1 +1,2 @@
+DIST pidgin-birthday-reminder-1.13.tar.gz 535270 BLAKE2B a49477046b99b3949e72d120ca4f09164d3b844d15b5232eacf8c076d7e2dca629a391fe6c86d69d15d77996a6c0a32224126115cd799b7d77dc31a46a9bd69d SHA512 c858c99c01c1105074d2ece46b8f6dbbf4045ee34dee046286a64b1886e32df416d844070a061a6fc8841d9e698f7d129fcf0b0079de0b24a5baf9a2f0b90e75
DIST pidgin-birthday-reminder-1.7.tar.gz 470361 BLAKE2B ea97e495fa04b5a4860b5363034058defcecd0ae7d911ed2f0eb0e56331ece6d66063ae83a2ec0fd346d935a122b35f45818f58755676c7fc598bbd52e5be5be SHA512 1213c193b141f006caf9cfa7b55b052f54f00426414353e758224a1aa35a70436c452b52ea25fa088c346f4f0da25af40b2f4991452a2d3aabf13d40c8438e47
diff --git a/x11-plugins/pidgin-birthday-reminder/metadata.xml b/x11-plugins/pidgin-birthday-reminder/metadata.xml
index 539812e55d71..29879cf2a8c6 100644
--- a/x11-plugins/pidgin-birthday-reminder/metadata.xml
+++ b/x11-plugins/pidgin-birthday-reminder/metadata.xml
@@ -1,9 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <!-- maintainer-needed -->
+ <maintainer type="person">
+ <email>nativemad@gentoo.org</email>
+ <name>Andreas Schuerch</name>
+ </maintainer>
<upstream>
- <bugs-to>https://bugs.launchpad.net/pidgin-birthday-reminder</bugs-to>
<remote-id type="launchpad">pidgin-birthday-reminder</remote-id>
+ <remote-id type="github">kgraefe/pidgin-birthday-reminder</remote-id>
</upstream>
</pkgmetadata>
diff --git a/x11-plugins/pidgin-birthday-reminder/pidgin-birthday-reminder-1.13.ebuild b/x11-plugins/pidgin-birthday-reminder/pidgin-birthday-reminder-1.13.ebuild
new file mode 100644
index 000000000000..47ac2a78c511
--- /dev/null
+++ b/x11-plugins/pidgin-birthday-reminder/pidgin-birthday-reminder-1.13.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Plugin for Pidgin that reminds you of your buddies birthdays"
+HOMEPAGE="https://github.com/kgraefe/pidgin-birthday-reminder"
+SRC_URI="https://github.com/kgraefe/pidgin-birthday-reminder/releases/download/v${PV}/${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+IUSE="static-libs"
+
+RDEPEND="net-im/pidgin:=[gtk]"
+DEPEND="${RDEPEND}
+ dev-util/intltool
+ sys-devel/gettext
+ virtual/pkgconfig"
+
+src_configure() {
+ econf \
+ $(use_enable static-libs static)
+}
+
+src_install() {
+ default
+ mkdir "${D}/usr/share/metainfo"
+ mv "${D}/usr/share/appdata/pidgin-birthday-reminder.metainfo.xml" "${D}/usr/share/metainfo/"
+ if ! use static-libs ; then
+ find "${D}" -type f -name '*.la' -delete || die "la removal failed"
+ fi
+}
diff --git a/x11-plugins/pidgin-hotkeys/metadata.xml b/x11-plugins/pidgin-hotkeys/metadata.xml
index 59c00cc967ef..44b8a99cfc0a 100644
--- a/x11-plugins/pidgin-hotkeys/metadata.xml
+++ b/x11-plugins/pidgin-hotkeys/metadata.xml
@@ -1,7 +1,10 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <!-- maintainer-needed -->
+ <maintainer type="person">
+ <email>nativemad@gentoo.org</email>
+ <name>Andreas Schuerch</name>
+ </maintainer>
<upstream>
<remote-id type="sourceforge">pidgin-hotkeys</remote-id>
</upstream>
diff --git a/x11-plugins/pidgin-hotkeys/pidgin-hotkeys-0.2.4-r1.ebuild b/x11-plugins/pidgin-hotkeys/pidgin-hotkeys-0.2.4-r1.ebuild
new file mode 100644
index 000000000000..bb859ee62736
--- /dev/null
+++ b/x11-plugins/pidgin-hotkeys/pidgin-hotkeys-0.2.4-r1.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Pidgin plugin to define global hotkeys for various actions"
+HOMEPAGE="https://sourceforge.net/projects/pidgin-hotkeys/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~riscv ~x86"
+
+RDEPEND="net-im/pidgin[gtk]
+ x11-libs/gtk+:2"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+src_install() {
+ default
+
+ find "${D}" -type f -name '*.la' -delete || die
+}
diff --git a/x11-plugins/pidgin-led-notification/metadata.xml b/x11-plugins/pidgin-led-notification/metadata.xml
index 85e4ed814fa2..e8de1c56b30f 100644
--- a/x11-plugins/pidgin-led-notification/metadata.xml
+++ b/x11-plugins/pidgin-led-notification/metadata.xml
@@ -1,5 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
-<!-- maintainer-needed -->
+ <maintainer type="person">
+ <email>nativemad@gentoo.org</email>
+ <name>Andreas Schuerch</name>
+ </maintainer>
</pkgmetadata>
diff --git a/x11-plugins/pidgin-led-notification/pidgin-led-notification-0.1-r1.ebuild b/x11-plugins/pidgin-led-notification/pidgin-led-notification-0.1-r1.ebuild
new file mode 100644
index 000000000000..da59b6d4d098
--- /dev/null
+++ b/x11-plugins/pidgin-led-notification/pidgin-led-notification-0.1-r1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+MY_PN="${PN/pidgin-/}"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Pidgin plugin to notify by writing user defined strings to (led control) files"
+HOMEPAGE="https://sites.google.com/site/simohmattila/led-notification"
+SRC_URI="https://sites.google.com/site/simohmattila/${MY_P}.tar.bz2"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~riscv ~x86"
+
+RDEPEND="
+ net-im/pidgin[gtk]
+ x11-libs/gtk+:2"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=( "${FILESDIR}"/${P}-hardware.patch )
+
+src_compile() {
+ $(tc-getCC) \
+ ${CFLAGS} -fPIC \
+ ${CPPFLAGS} \
+ ${LDFLAGS} \
+ $($(tc-getPKG_CONFIG) --cflags gtk+-2.0 pidgin) \
+ -shared ${MY_PN}.c -o ${MY_PN}.so \
+ $($(tc-getPKG_CONFIG) --libs gtk+-2.0 pidgin) || die
+}
+
+src_install() {
+ exeinto /usr/$(get_libdir)/pidgin
+ doexe ${MY_PN}.so
+
+ einstalldocs
+}
diff --git a/x11-plugins/pidgin-libnotify/metadata.xml b/x11-plugins/pidgin-libnotify/metadata.xml
index d2ead32ea16b..caaf7205d7df 100644
--- a/x11-plugins/pidgin-libnotify/metadata.xml
+++ b/x11-plugins/pidgin-libnotify/metadata.xml
@@ -1,7 +1,10 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <!-- maintainer-needed -->
+ <maintainer type="person">
+ <email>nativemad@gentoo.org</email>
+ <name>Andreas Schuerch</name>
+ </maintainer>
<upstream>
<remote-id type="sourceforge">gaim-libnotify</remote-id>
</upstream>
diff --git a/x11-plugins/pidgin-libnotify/pidgin-libnotify-0.14-r2.ebuild b/x11-plugins/pidgin-libnotify/pidgin-libnotify-0.14-r2.ebuild
new file mode 100644
index 000000000000..355ebc642121
--- /dev/null
+++ b/x11-plugins/pidgin-libnotify/pidgin-libnotify-0.14-r2.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Pidgin-libnotify provides popups for pidgin via a libnotify interface"
+HOMEPAGE="https://gaim-libnotify.sourceforge.net/"
+SRC_URI="mirror://sourceforge/gaim-libnotify/${P}.tar.gz
+ mirror://debian/pool/main/p/${PN}/${PN}_${PV}-4.debian.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~riscv ~x86"
+IUSE="nls debug"
+
+RDEPEND=">=x11-libs/libnotify-0.3.2
+ net-im/pidgin[gtk]
+ x11-libs/gtk+:2"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=(
+ "${WORKDIR}/debian/patches"
+ "${FILESDIR}/${P}-libnotify-0.7.patch"
+)
+
+src_prepare() {
+ default
+ sed -i -e '/CFLAGS/s:-g3::' configure || die "sed failed"
+}
+
+src_configure() {
+ econf \
+ --disable-static \
+ $(use_enable debug) \
+ $(use_enable nls)
+}
+
+src_install() {
+ default
+ find "${D}" -name '*.la' -delete || die "Pruning failed"
+}
diff --git a/x11-plugins/pidgin-mbpurple/metadata.xml b/x11-plugins/pidgin-mbpurple/metadata.xml
index 61a93d27d668..daef1582193d 100644
--- a/x11-plugins/pidgin-mbpurple/metadata.xml
+++ b/x11-plugins/pidgin-mbpurple/metadata.xml
@@ -1,7 +1,10 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
-<!-- maintainer-needed -->
+ <maintainer type="person">
+ <email>nativemad@gentoo.org</email>
+ <name>Andreas Schuerch</name>
+ </maintainer>
<use>
<flag name="twitgin">Enable graphical plugin for Gtk+ interface of Pidgin.</flag>
</use>
diff --git a/x11-plugins/pidgin-mbpurple/pidgin-mbpurple-0.3.0-r3.ebuild b/x11-plugins/pidgin-mbpurple/pidgin-mbpurple-0.3.0-r3.ebuild
new file mode 100644
index 000000000000..fc5eecc24d38
--- /dev/null
+++ b/x11-plugins/pidgin-mbpurple/pidgin-mbpurple-0.3.0-r3.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+MY_P="${P/pidgin-/}"
+
+DESCRIPTION="Pidgin plug-in supporting microblog services like Twitter or identi.ca"
+HOMEPAGE="https://code.google.com/archive/p/microblog-purple/"
+SRC_URI="https://microblog-purple.googlecode.com/files/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+IUSE="+twitgin"
+
+RDEPEND="net-im/pidgin
+ twitgin? ( net-im/pidgin[gtk] )"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+src_prepare() {
+ default
+
+ # upstream Issue 226 (Respect LDFLAGS)
+ sed -i "/^LDFLAGS/d" global.mak || die "sed for LDFLAGS failed"
+
+ # upstream Issue 225 (Warnings during compilation using make -j2)
+ sed -i "s/make /\$(MAKE) /g" Makefile || die "sed #2 failed"
+
+ # upstream Issue 224 (configurable twitgin)
+ if ! use twitgin; then
+ sed -i 's/twitgin//g' Makefile || die
+ fi
+}
+
+src_configure() {
+ tc-export CC
+}
diff --git a/x11-plugins/pidgin-otr/pidgin-otr-4.0.2-r3.ebuild b/x11-plugins/pidgin-otr/pidgin-otr-4.0.2-r3.ebuild
index f1d7ce738b0f..53e2e68dbd8f 100644
--- a/x11-plugins/pidgin-otr/pidgin-otr-4.0.2-r3.ebuild
+++ b/x11-plugins/pidgin-otr/pidgin-otr-4.0.2-r3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -23,7 +23,7 @@ DEPEND="${RDEPEND}"
# autoconf-archive for F_S patch
BDEPEND="
dev-util/intltool
- sys-devel/autoconf-archive
+ dev-build/autoconf-archive
virtual/pkgconfig
"
diff --git a/x11-plugins/pidgin-privacy-please/metadata.xml b/x11-plugins/pidgin-privacy-please/metadata.xml
index c3c97dea8658..11298de835d5 100644
--- a/x11-plugins/pidgin-privacy-please/metadata.xml
+++ b/x11-plugins/pidgin-privacy-please/metadata.xml
@@ -1,7 +1,10 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <!-- maintainer-needed -->
+ <maintainer type="person">
+ <email>nativemad@gentoo.org</email>
+ <name>Andreas Schuerch</name>
+ </maintainer>
<upstream>
<remote-id type="google-code">pidgin-privacy-please</remote-id>
</upstream>
diff --git a/x11-plugins/pidgin-privacy-please/pidgin-privacy-please-0.7.1-r1.ebuild b/x11-plugins/pidgin-privacy-please/pidgin-privacy-please-0.7.1-r1.ebuild
new file mode 100644
index 000000000000..8c2af2004dc2
--- /dev/null
+++ b/x11-plugins/pidgin-privacy-please/pidgin-privacy-please-0.7.1-r1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+DESCRIPTION="Pidgin plugin to stop spammers from annoying you"
+HOMEPAGE="https://code.google.com/p/pidgin-privacy-please/"
+SRC_URI="https://${PN}.googlecode.com/files/${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv"
+
+RDEPEND="<net-im/pidgin-3[gtk]"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig
+ sys-devel/gettext"
+
+src_prepare() {
+ default
+ sed -e 's: -Wall -g3::' -i configure.ac || die
+ eautoreconf
+}
+
+src_install() {
+ default
+
+ find "${D}" -type f -name '*.la' -delete || die "la removal failed"
+}
diff --git a/x11-plugins/wmSun/Manifest b/x11-plugins/wmSun/Manifest
index c0006533da1a..80c12831e959 100644
--- a/x11-plugins/wmSun/Manifest
+++ b/x11-plugins/wmSun/Manifest
@@ -1 +1,2 @@
DIST wmsun-1.05.tar.gz 20680 BLAKE2B 86e75467133b23e3f062203df6bbd8fe0aa1ca90c468bd91f3de3ec360e4d677bf5a117becf63e111557a17dbf346a1b23a61b78030d197264d71989097c9d77 SHA512 baa610db04ba67ca09112765e28c0fa945a98a61b642925dbaaa56a5b3e7da7424d8dd15097dcec932e3b603219d1f8806c0e50c025370226a157791f16911da
+DIST wmsun-1.06.tar.gz 20127 BLAKE2B 29321a11e652d90b62eea54c0db30154f65a1b7f9b9c1638784888fdf17205d4fb2976f39c47508b1822492ceea46fc12df5fc4739d5c1db5f6bdbc0f8018ab3 SHA512 475ebbce615b7b0ba24994654a8cd1e1429bda02d0b95522e8998c2be6ee11830c16be913e295cd77886fe51ac95801cc84c3ff4eb160c70d173e80e43af70ca
diff --git a/x11-plugins/wmSun/wmSun-1.06.ebuild b/x11-plugins/wmSun/wmSun-1.06.ebuild
new file mode 100644
index 000000000000..c101aec990ed
--- /dev/null
+++ b/x11-plugins/wmSun/wmSun-1.06.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit toolchain-funcs
+
+MY_P=${P/S/s}
+DESCRIPTION="dockapp which displays the rise/set time of the sun"
+HOMEPAGE="https://www.dockapps.net/wmsun"
+SRC_URI="https://www.dockapps.net/download/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~mips ~ppc ~sparc ~x86"
+
+RDEPEND=">=x11-libs/libdockapp-0.7:=
+ x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXpm"
+DEPEND="${RDEPEND}
+ x11-base/xorg-proto"
+
+DOCS=( BUGS README TODO )
+S="${WORKDIR}/${MY_P}"
+
+src_compile() {
+ emake CC="$(tc-getCC)" CFLAGS="${CFLAGS}"
+}
+
+src_install() {
+ emake DESTDIR="${D}" PREFIX=/usr install
+ einstalldocs
+}
diff --git a/x11-plugins/wmbinclock/Manifest b/x11-plugins/wmbinclock/Manifest
index 8af14cabb4c6..efc0adc2e99b 100644
--- a/x11-plugins/wmbinclock/Manifest
+++ b/x11-plugins/wmbinclock/Manifest
@@ -1 +1,2 @@
DIST wmbinclock-0.5.tar.bz2 15909 BLAKE2B 71a5e53fea8f042bd8e01c0a8dde9057b22e398a4d483b556221d8344b5542f097e835f0d4eafd7cf24964b4b08f04f844c476cddc443ebc8f469e8fbb5142ec SHA512 f0f1f46b19e9c34f9168e03df2d4be2f9c7a73b09dd8247a7bc977309a3354069adf34032f3c0106aa763fe259993176edd84b029941191d05a11505e27de695
+DIST wmbinclock-0.51.tar.gz 11501 BLAKE2B f727a9497a452525bf08daf1a30e8485ca85777a0b938c45634a779cd1adb92afd172ec9455b46e832761d8a45df7a57a4bd93ebbeaa4637da5edb6087f7e30c SHA512 343ac121c93801d69beeef6b4e5ca52020229f61ac723de9b7ee7bea3fb50c51d793b217f848ba9672eb97ec1b70629186e29c27f907798af9d33d5a4faea069
diff --git a/x11-plugins/wmbinclock/wmbinclock-0.51.ebuild b/x11-plugins/wmbinclock/wmbinclock-0.51.ebuild
new file mode 100644
index 000000000000..96741ece7841
--- /dev/null
+++ b/x11-plugins/wmbinclock/wmbinclock-0.51.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="a nifty little binary clock dockapp"
+HOMEPAGE="https://www.dockapps.net/wmbinclock"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~sparc ~x86"
+
+RDEPEND="x11-libs/libX11
+ x11-libs/libXpm
+ x11-libs/libXext"
+DEPEND="${RDEPEND}
+ x11-base/xorg-proto"
+
+PATCHES=( "${FILESDIR}"/${PN}-0.5-gcc-10.patch )
+DOCS=( CHANGELOG README.md )
+
+src_compile() {
+ emake CC="$(tc-getCC)" CFLAGS="${CFLAGS}" \
+ INCDIR="-I/usr/include/X11" LIBDIR="" \
+ SYSTEM="${LDFLAGS}"
+}
+
+src_install() {
+ dobin wmBinClock
+ einstalldocs
+}
diff --git a/x11-plugins/wmcalc/wmcalc-0.7.ebuild b/x11-plugins/wmcalc/wmcalc-0.7.ebuild
index ec6e2182ba7d..341a863eb908 100644
--- a/x11-plugins/wmcalc/wmcalc-0.7.ebuild
+++ b/x11-plugins/wmcalc/wmcalc-0.7.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -9,7 +9,7 @@ SRC_URI="https://www.dockapps.net/download/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="~amd64 ~ppc ~ppc64 ~sparc ~x86"
+KEYWORDS="amd64 ~ppc ppc64 ~sparc x86"
RDEPEND="x11-libs/libX11
x11-libs/libXext
diff --git a/x11-plugins/wmcpuwatch/wmcpuwatch-0.2-r1.ebuild b/x11-plugins/wmcpuwatch/wmcpuwatch-0.2-r1.ebuild
index 0edf74c5ae37..9e3fdd21137e 100644
--- a/x11-plugins/wmcpuwatch/wmcpuwatch-0.2-r1.ebuild
+++ b/x11-plugins/wmcpuwatch/wmcpuwatch-0.2-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -15,7 +15,7 @@ IUSE="doc"
RDEPEND=">=x11-libs/libdockapp-0.7:="
DEPEND="${RDEPEND}"
-BDEPEND="doc? ( app-doc/doxygen[dot] )"
+BDEPEND="doc? ( app-text/doxygen[dot] )"
DOCS=( ChangeLog README.md )
PATCHES=( "${FILESDIR}"/${P}-cmake.patch )
diff --git a/x11-plugins/wmifinfo/Manifest b/x11-plugins/wmifinfo/Manifest
index 3b6947d63963..d5b2273e3a1b 100644
--- a/x11-plugins/wmifinfo/Manifest
+++ b/x11-plugins/wmifinfo/Manifest
@@ -1 +1,2 @@
DIST wmifinfo-0.10.tar.gz 17418 BLAKE2B 74debc88268e45779131ad6587733343e8be51cfa871ea368ca305a755008fb0a7e3faa332157e79ecea7553d3e523cce4bb9b4a650c2ee73dc1b6acb3db4ff9 SHA512 57731f482b950e968e760315b99ceb715c3aa101f77e5363ee08db231369c5addc4d9cf4da4a24f624313073bc67cd8742030956c5f866fb02c1b24b3cc4e965
+DIST wmifinfo-0.11.tgz 17529 BLAKE2B 18c650a23ef8ca705f7d419b3e270daa941438fb8648fbf7f8e6efad7d066004ec837e4c112074b7d7cb35bd0844a3acd82553aed9cefd047246a5a57923fb71 SHA512 c6dc9c8ac3441e9586e0186278b399b9a61ac91ca9306face5a08e78fb573737b21b0815ceade01efe3b285fe4ff06715c80c64328a582e1ba8c113113c40ae3
diff --git a/x11-plugins/wmifinfo/wmifinfo-0.11.ebuild b/x11-plugins/wmifinfo/wmifinfo-0.11.ebuild
new file mode 100644
index 000000000000..7602cb4b6dc5
--- /dev/null
+++ b/x11-plugins/wmifinfo/wmifinfo-0.11.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit toolchain-funcs
+
+DESCRIPTION="a dockapp for monitoring network interfaces"
+HOMEPAGE="https://www.dockapps.net/wmifinfo"
+SRC_URI="https://www.dockapps.net/download/${P}.tgz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+
+RDEPEND="x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXpm"
+DEPEND="${RDEPEND}
+ x11-base/xorg-proto"
+
+src_compile() {
+ emake CC="$(tc-getCC)" LD="$(tc-getCC)" \
+ CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}"
+}
+
+src_install() {
+ emake DESTDIR="${D}" PREFIX=/usr install
+ dodoc README Changelog
+}
diff --git a/x11-plugins/wmifs/Manifest b/x11-plugins/wmifs/Manifest
index 52fcb30217b3..fa1d4521cf01 100644
--- a/x11-plugins/wmifs/Manifest
+++ b/x11-plugins/wmifs/Manifest
@@ -1 +1,2 @@
DIST wmifs-1.8.tar.gz 107020 BLAKE2B 54b73bf2a49a9c9dd0d16f907cf2211eafb7199d7b77e4cd7e86364ff8bc438d27a57e95c97b47b2dbe308b2d9e6797df287f608dca89ed4b3d6dfb27195b932 SHA512 c88092e8c83ab5bc65813b6fbfe348b3b56eae28885199ba1cc681ba3db7f801f90f5d385cfdbb7304327e085471f6fdc0f712690211dc192763739619c46abb
+DIST wmifs-1.9.tar.gz 107318 BLAKE2B b8d12478e93b9a578fe6c5140bcb2ac1bd97bd0d33bc50af6972c7775d8189b9c8f35e90ae4c5f63d444148d3d87c5eb1ccbbc5605b008d58b714da64879869e SHA512 32258ccc72e5ee3f5b886da8963347d28ef3253994e97d1c16abf7706ffbbf4356114681dcace9e8ccddcb8f606f89b30d5390d28895f0b0009f8e8578a726be
diff --git a/x11-plugins/wmifs/wmifs-1.9.ebuild b/x11-plugins/wmifs/wmifs-1.9.ebuild
new file mode 100644
index 000000000000..95da074b4ff1
--- /dev/null
+++ b/x11-plugins/wmifs/wmifs-1.9.ebuild
@@ -0,0 +1,19 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Network monitoring dockapp"
+HOMEPAGE="https://www.dockapps.net/wmifs"
+SRC_URI="https://www.dockapps.net/download/${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~mips ~ppc ~sparc ~x86"
+
+RDEPEND=">=x11-libs/libdockapp-0.7:=
+ x11-libs/libX11
+ x11-libs/libXpm"
+DEPEND="${RDEPEND}"
+
+DOCS=( BUGS CHANGES HINTS README TODO )